<!DOCTYPE html>
<html lang="zh-Hant-TW">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="icon" href="image/logo_128.png">
    <title>公司簡介 - 精誠工具機貿易有限公司</title>
    <link rel="stylesheet" href="common.css">
    <link rel="stylesheet" href="products_detail.css">
    <script src="https://apis.google.com/js/api.js"></script>
</head>

<body>
    <header class="container header">
        <div class="container fcenter">
            <img src="image/logo_128_white.png" alt="公司Logo" class="logo">
            <h1>精誠工具機貿易有限公司</h1>
        </div>
        <nav>
            <ul class="container nav-links">
                <li><a href="about.html">公司簡介</a></li>
                <li><a href="products.html">產品介紹</a></li>
                <li><a href="news.html">最新消息</a></li>
                <li><a href="contact.html">聯絡我們</a></li>
            </ul>
        </nav>
    </header>

    <article class="container fcolumn p_20">
    </article>
      

    <footer class="container footer">
            <p>© 2024 精誠工具機貿易有限公司 | <a href="#">隱私政策</a> | <a href="#">使用條款</a></p>
            <p>地址：台北市信義區市府路1號20樓</p>
            <p>電話：(02) 1234-5678</p>
    </footer>
    <script>
    // 取得您的 Web App URL
    const webAppUrl = "https://script.google.com/macros/s/AKfycbwIOMlb_T4HMhg-pz1hninZ4rp5x_jo1aTpDY7512onJrTQPGacASlgo0rV8QjT3O_41Q/exec";

    // 讀取 Sheet 資料
    async function readSheetData() {
        try {
            const response = await fetch(webAppUrl, {
                method: "GET",
            });
            const data = await response.json();
            // console.log("Sheet 資料:", data);
            return data; // 返回解析後的JSON資料
        } catch (error) {
            console.error("讀取資料發生錯誤:", error);
        }
    }

    // 使用異步函數處理DOM操作
    async function updateArticleContent() {
        const jsonData = await readSheetData(); // 等待readSheetData()解析資料
        if (jsonData && jsonData.length > 1) {
            // 選擇article標籤
            var articleContainer = document.querySelector('article');

            // 將資料填入article標籤中
            var data = jsonData[1]; // 假設我們只處理第一組資料
            articleContainer.innerHTML = `
                <div>
                <span>編號: ${data[0]}</span>
                <span>名稱: ${data[1]}</span>
                </div>
                <div class="info-image">
                <img src="${data[2]}" alt="${data[1]}">
                </div>
                <div>
                <p>規格：</p>
                <p>${data[3].replace(/\n/g, '<br>')}</p>
                </div>
            `;
        }
    }

    // 確保文檔加載完畢後再調用此函數
    document.addEventListener('DOMContentLoaded', function () {
        updateArticleContent(); // 調用異步函數更新內容
    });

    </script>
</body>

</html>